org.red5.server.scope

## Class RoomScope

- java.lang.Object
- - org.red5.server.scope.BasicScope
  - - org.red5.server.scope.Scope
    - - org.red5.server.scope.RoomScope

All Implemented Interfaces:
  IEventDispatcher, IEventHandler, IEventListener, IEventObservable, ICoreObject, IBasicScope, IScope, IServiceHandlerProvider, IScopeStatistics, IStatisticsBase, ScopeMXBean, org.springframework.core.io.ResourceLoader, org.springframework.core.io.support.ResourcePatternResolver

    public class RoomScope
    extends Scope

Represents a subscope to other scopes.

Author:
  Paul Gregoire (mondain@gmail.com)

### Nested Class Summary

### Nested classes/interfaces inherited from class org.red5.server.scope.Scope

`Scope.Builder`

### Field Summary

### Fields inherited from class org.red5.server.scope.Scope

`attributes, clientStats, connectionStats, lock, log, oName, subscopeStats`

### Fields inherited from class org.red5.server.scope.BasicScope

`keepDelay, keepOnDisconnect, listeners, name, parent, persistenceClass, persistent, store, type`

### Fields inherited from interface org.red5.server.api.scope.IScope

`SEPARATOR`

### Fields inherited from interface org.springframework.core.io.support.ResourcePatternResolver

`CLASSPATH_ALL_URL_PREFIX`

### Fields inherited from interface org.springframework.core.io.ResourceLoader

`CLASSPATH_URL_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`RoomScope()`

### Method Summary

### Methods inherited from class org.red5.server.scope.Scope

`addChildScope, connect, connect, createChildScope, destroy, disconnect, dispatchEvent, dump, from, getActiveClients, getActiveConnections, getActiveSubscopes, getAttribute, getAttributeNames, getAttributes, getBasicScope, getBasicScopeNames, getBroadcastScope, getClassLoader, getClients, getConnections, getContext, getContextPath, getCreationTime, getDepth, getEnabled, getHandler, getMaxClients, getMaxConnections, getMaxSubscopes, getParent, getPath, getResource, getResources, getRunning, getScope, getScopeNames, getServer, getServiceHandler, getServiceHandlerNames, getServiceHandlers, getServiceHandlers, getStatistics, getTotalClients, getTotalConnections, getTotalSubscopes, handleEvent, hasAttribute, hasChildScope, hasChildScope, hasContext, hasHandler, hasParent, init, isEnabled, isRunning, lookupConnections, registerJMX, registerServiceHandler, removeAttribute, removeChildren, removeChildScope, setAttribute, setAutoStart, setChildLoadPath, setContext, setDepth, setEnabled, setHandler, setName, setParent, setPersistenceClass, start, stop, toString, uninit, unregisterJMX, unregisterServiceHandler`

### Methods inherited from class org.red5.server.scope.BasicScope

`addEventListener, equals, getEventListeners, getName, getStore, getType, hasEventListeners, hashCode, isValid, notifyEvent, removeEventListener, setKeepDelay`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.red5.server.api.scope.IBasicScope

`getName, getStore, getType, isValid, setKeepDelay`

### Methods inherited from interface org.red5.server.api.event.IEventListener

`notifyEvent`

### Methods inherited from interface org.red5.server.api.event.IEventObservable

`addEventListener, getEventListeners, removeEventListener`

### Methods inherited from interface org.red5.server.api.statistics.IScopeStatistics

`getName`

### Constructor Detail

#### RoomScope

    public RoomScope()